<?php



namespace Dorcas\TabithaBundle\Form\Type;



use Symfony\Component\Form\AbstractType;

use Symfony\Component\Form\FormBuilder;

use Symfony\Component\OptionsResolver\OptionsResolverInterface;





class ReferralsType extends AbstractType

{

    public function buildForm(FormBuilder $builder, array $options)

    {

       $builder->add('western_wake', 'checkbox', array('label' => 'Western Wake:', 'required'  => false,));

       $builder->add('western_wake_date', 'date', array('label' => 'Date:',

            'input'  => 'datetime',

            'widget' => 'single_text',

            'format' => 'MM/dd/yyyy',

            'error_bubbling' => 'true',

            'invalid_message' => 'Please entered a valid Western Wake Date'));

       $builder->add('oxford_house', 'checkbox', array('label' => 'Oxford House:', 'required'  => false,));

       $builder->add('oxford_house_date', 'date', array('label' => 'Date:',

            'input'  => 'datetime',

            'widget' => 'single_text',

            'format' => 'MM/dd/yyyy',

            'error_bubbling' => 'true',

            'invalid_message' => 'Please entered a valid Oxford House Date'));

       $builder->add('church');

       $builder->add('church_date', 'date', array('label' => 'Date:',

            'input'  => 'datetime',

            'widget' => 'single_text',

            'format' => 'MM/dd/yyyy',

            'error_bubbling' => 'true',

            'invalid_message' => 'Please entered a valid Church Date'));

       $builder->add('other', 'text', array('label' => 'Other:'));

       $builder->add('other_date', 'date', array('label' => 'Date:',

            'input'  => 'datetime',

            'widget' => 'single_text',

            'format' => 'MM/dd/yyyy',

            'error_bubbling' => 'true',

            'invalid_message' => 'Please entered a valid Other Date'));   

       $builder->add('margaret_keller', 'checkbox', array('label' => 'Margaret Keller:', 'required'  => false,));

       $builder->add('margaret_keller_date', 'date', array('label' => 'Date:',

            'input'  => 'datetime',

            'widget' => 'single_text',

            'format' => 'MM/dd/yyyy',

            'error_bubbling' => 'true',

            'invalid_message' => 'Please entered a valid Spouse Other Birth Date'));

       $builder->add('childcare', 'checkbox', array('label' => 'Childcare:', 'required'  => false,));

       $builder->add('childcare_date', 'date', array('label' => 'Date:',

            'input'  => 'datetime',

            'widget' => 'single_text',

            'format' => 'MM/dd/yyyy',

            'error_bubbling' => 'true',

            'invalid_message' => 'Please entered a valid Spouse Other Birth Date'));

       $builder->add('resource_office');

       $builder->add('resource_office_date', 'date', array('label' => 'Date:',

            'input'  => 'datetime',

            'widget' => 'single_text',

            'format' => 'MM/dd/yyyy',

            'error_bubbling' => 'true',

            'invalid_message' => 'Please entered a valid Spouse Other Birth Date'));

       $builder->add('housing_cornerstone', 'checkbox', array('label' => 'Cornerstone', 'required'  => false,));

       $builder->add('housing_raleighrescuemission', 'checkbox', array('label' => 'Raleigh Rescue Mission', 'required'  => false,));

       $builder->add('housing_salvationarmy', 'checkbox', array('label' => 'Salvation Army', 'required'  => false,));

       $builder->add('housing_panlutheranministries', 'checkbox', array('label' => 'Pan Lutheran Ministries', 'required'  => false,));

       $builder->add('housing_southwilmingtonstreetshelter', 'checkbox', array('label' => 'South Wilmington Street Shelter', 'required'  => false,));

       $builder->add('housing_thewomansshelter', 'checkbox', array('label' => 'The Womans Shelter', 'required'  => false,));

       $builder->add('housing_trianglefamilyservices', 'checkbox', array('label' => 'Triangle Family Services', 'required'  => false,));

       $builder->add('housing_wakecountyhumanservices', 'checkbox', array('label' => 'Wake County Human Services', 'required'  => false,));

       $builder->add('housing_wakeinterfaithhospitalitynetwork', 'checkbox', array('label' => 'Wake Interfaith Hospitality Network', 'required'  => false,));

       $builder->add('housing_interact', 'checkbox', array('label' => 'Interact', 'required'  => false,));

       $builder->add('housing_caryingplace', 'checkbox', array('label' => 'Carying Place', 'required'  => false,));

       $builder->add('housing_other', 'checkbox', array('label' => 'Other Housing Program', 'required'  => false,));

       

       

       $builder->add('financial_wakecountyhumanservicesenergyprogram', 'checkbox', array('label' => 'Wake County Human Services: Enegry Program', 'required'  => false,));

	   $builder->add('financial_trianglefamily', 'checkbox', array('label' => 'Triangle Family', 'required'  => false,));

	   $builder->add('financial_salvationarmy', 'checkbox', array('label' => 'Salvation Army', 'required'  => false,));

	   $builder->add('financial_northraleighministries', 'checkbox', array('label' => 'North Raleigh Ministries', 'required'  => false,));

	   $builder->add('financial_firstpresbyterianchurch', 'checkbox', array('label' => 'First Presbyterian Church', 'required'  => false,));

	   $builder->add('financial_sacredheartchurch', 'checkbox', array('label' => 'Sacred Heart Church', 'required'  => false,));

	   $builder->add('financial_otherfinancialassistanceprogram', 'checkbox', array('label' => 'Other Financial Assistance Program', 'required'  => false,));

	   $builder->add('foodandclothing_foodstampswakecountyhumanservices', 'checkbox', array('label' => 'Food Stamps: Wake County Human Services', 'required'  => false,));

       $builder->add('foodandclothing_urbanministriesfoodpantry', 'checkbox', array('label' => 'Urban Ministries Food Pantry', 'required'  => false,));

       $builder->add('foodandclothing_catholicparishoutreach', 'checkbox', array('label' => 'Catholic Parish Outreach', 'required'  => false,));

	   $builder->add('foodandclothing_northraleighministries', 'checkbox', array('label' => 'North Raleigh Ministries', 'required'  => false,));

	   $builder->add('foodandclothing_salvationarmy', 'checkbox', array('label' => 'Salvation Army', 'required'  => false,));

	   $builder->add('foodandclothing_shepherdstable', 'checkbox', array('label' => 'Sheperds Table', 'required'  => false,));

	   $builder->add('foodandclothing_withlovefromjesus', 'checkbox', array('label' => 'With Love From Jesus', 'required'  => false,));

	   $builder->add('foodandclothing_firstbaptistraleigh', 'checkbox', array('label' => 'First Baptist, Raleigh', 'required'  => false,));

	   $builder->add('foodandclothing_otherfoodandclothingprogram', 'checkbox', array('label' => 'Other Food and Clothing Program', 'required'  => false,));

	   $builder->add('healthcareandrecovery_wakehealthservices', 'checkbox', array('label' => 'Wake Health Services', 'required'  => false,));

	   $builder->add('healthcareandrecovery_opendoorclinic', 'checkbox', array('label' => 'Open Door Clinic', 'required'  => false,));

	   $builder->add('healthcareandrecovery_alliancemedicalministry', 'checkbox', array('label' => 'Alliance Medical Ministry', 'required'  => false,));

	   $builder->add('healthcareandrecovery_thehealingplaceofwakecounty', 'checkbox', array('label' => 'The Healing Place of Wake County', 'required'  => false,));

	   $builder->add('healthcareandrecovery_trianglealanoclub', 'checkbox', array('label' => 'Triangle Alano Club', 'required'  => false,));

	   $builder->add('healthcareandrecovery_northcarolinabaptistdentalbus', 'checkbox', array('label' => 'North Carolina Baptist Dental Bus', 'required'  => false,));

	   $builder->add('healthcareandrecovery_otherhealthcareandrecoveryprogram', 'checkbox', array('label' => 'Other Healthcare and Recovery Program', 'required'  => false,));

	   $builder->add('comprehensiveprograms_cornerstone', 'checkbox', array('label' => 'Cornerstone', 'required'  => false,));

	   $builder->add('comprehensiveprograms_stepupministry', 'checkbox', array('label' => 'Step Up Ministry', 'required'  => false,));

	   $builder->add('comprehensiveprograms_thecaryingplace', 'checkbox', array('label' => 'The Carying Place', 'required'  => false,));

	   $builder->add('comprehensiveprograms_wakecountyhumanservices', 'checkbox', array('label' => 'Wake County Human Services', 'required'  => false,));

	   $builder->add('comprehensiveprograms_wakeinterfaithhospitalitynetwork', 'checkbox', array('label' => 'Wake Interfaith Hospitality Network', 'required'  => false,));

	   $builder->add('comprehensiveprograms_othercomprehensiveprogram', 'checkbox', array('label' => 'Other Comprehensive Program', 'required'  => false,));

	   $builder->add('employment_centerforhopeandhealing', 'checkbox', array('label' => 'Center for Hope and Healing', 'required'  => false,));

	   $builder->add('employment_dorcasministriesresourceoffice', 'checkbox', array('label' => 'Dorcas Ministries Resource Office', 'required'  => false,));

	   $builder->add('employment_joblink', 'checkbox', array('label' => 'JobLink', 'required'  => false,));

	   $builder->add('employment_jobsforlifeatdorcas', 'checkbox', array('label' => 'Jobs for Life at Dorcas', 'required'  => false,));

	   $builder->add('employment_waketechcommunitycollegehrdclasses', 'checkbox', array('label' => 'Wake Tech Community College HRD Classes', 'required'  => false,));

	   $builder->add('employment_otheremploymentprogram', 'checkbox', array('label' => 'Other Employment Program', 'required'  => false,));

	   $builder->add('education_margaretkellerscholarship', 'checkbox', array('label' => 'Margaret Keller Schollarship', 'required'  => false,));

	   $builder->add('education_waketechcommunitycollegeesl', 'checkbox', array('label' => 'Wake Tech Community College ESL', 'required'  => false,));

	   $builder->add('education_waketechcommunitycollegehrdclasses', 'checkbox', array('label' => 'Wake Tech Community College HRD Classes', 'required'  => false,));

	   $builder->add('education_othertraining', 'checkbox', array('label' => 'Other Training', 'required'  => false,));

	   $builder->add('financialcounseling_budgetcounseling', 'checkbox', array('label' => 'Budget Counseling', 'required'  => false,));

	   $builder->add('financialcounseling_consumereducationcounseling', 'checkbox', array('label' => 'Consumer Education Counseling', 'required'  => false,));

	   $builder->add('financialcounseling_trianglefamilyservices', 'checkbox', array('label' => 'Triangle Family Services', 'required'  => false,));

	   $builder->add('financialcounseling_otherfinancialcounseling', 'checkbox', array('label' => 'Other Financial Counseling', 'required'  => false,));

	   $builder->add('legalservices_legalaidofnorthcarolina', 'checkbox', array('label' => 'Legal Aid of North Carolina', 'required'  => false,));

	   $builder->add('legalservices_northcarolinalegalservicesinc', 'checkbox', array('label' => 'North Carolina Legal Services Inc', 'required'  => false,));

	   $builder->add('legalservices_otherlegalservices', 'checkbox', array('label' => 'Other Legal Services', 'required'  => false,));

	   $builder->add('personalcounseling_centerforhopeandhealing', 'checkbox', array('label' => 'Center for Hope and Healing', 'required'  => false,));

	   $builder->add('personalcounseling_trianglefamilyservices', 'checkbox', array('label' => 'Triangle Family Services', 'required'  => false,));

	   $builder->add('personalcounseling_westernwakehumanservicescenter', 'checkbox', array('label' => 'Western Wake Human Services Center', 'required'  => false,));

	   $builder->add('personalcounseling_othercounselingprogram', 'checkbox', array('label' => 'Other Counseling Program', 'required'  => false,));

	   $builder->add('substanceabuseprograms_havenhouseinc', 'checkbox', array('label' => 'Haven House Inc', 'required'  => false,));

	   $builder->add('substanceabuseprograms_oxfordhouse', 'checkbox', array('label' => 'Oxford House', 'required'  => false,));

	   $builder->add('substanceabuseprograms_southlight', 'checkbox', array('label' => 'Southlight', 'required'  => false,));

	   $builder->add('substanceabuseprograms_thehealingplace', 'checkbox', array('label' => 'The Healing Place', 'required'  => false,));

	   $builder->add('substanceabuseprograms_trianglealanoclub', 'checkbox', array('label' => 'Triangle Alano Club', 'required'  => false,));

	   $builder->add('substanceabuseprograms_othersubstanceabuseprogram', 'checkbox', array('label' => 'Other Substance Abuse Program', 'required'  => false,));

	   $builder->add('medical_alliancemedicalministry', 'checkbox', array('label' => 'Alliance Medical Ministry', 'required'  => false,));

	   $builder->add('medical_theopendoorclinic', 'checkbox', array('label' => 'The Open Door Clinic', 'required'  => false,));

	   $builder->add('medical_uncschoolofdentistry', 'checkbox', array('label' => 'UNC School of Dentistry', 'required'  => false,));

	   $builder->add('medical_wakecountyhumanservices', 'checkbox', array('label' => 'Wake County Human Services', 'required'  => false,));

	   $builder->add('medical_wakehealthservices', 'checkbox', array('label' => 'Wake Health Services', 'required'  => false,));

	   $builder->add('medical_othermedicalprogram', 'checkbox', array('label' => 'Other Medical Program', 'required'  => false,));

	  

	  

       

      

    }

    

   

    public function getName()

    {

        return 'referralsform';

    }

    

    public function getDefaultOptions(array $options)

    {

        return array('data_class' => 'Dorcas\TabithaBundle\Entity\Referrals',

         

);

    }

    

    public function setDefaultOptions(OptionsResolverInterface $resolver)

    {

    $resolver->setDefaults(array(

        'data_class' => 'Dorcas\TabithaBundle\Entity\Referrals',

    ));

    }

}

